'use strict';

var _lodash = require('lodash');

var _envVarOptions = require('../schema/injectors/env-var-options');

module.exports = function () {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _envVarOptions.defaultOptions;
  return function () {
    var valid = (0, _envVarOptions.validateOptions)(options);
    if (!valid) throw new Error(schema.errorsText());

    options = (0, _lodash.defaults)(options || {}, _envVarOptions.defaultOptions);

    return Object.keys(options).reduce(function (a, b) {
      a[options[b]] = process.env[b];
      return a;
    }, {});
  };
};