'use strict';

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _lodash = require('lodash');

var _fileOptions = require('../schema/injectors/file-options');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function (options) {
  return function () {
    var valid = (0, _fileOptions.validateOptions)(options);
    if (!valid) throw new Error(schema.errorsText());

    options = (0, _lodash.defaults)(options || {}, _fileOptions.defaultOptions);

    var _options = options,
        patterns = _options.patterns,
        baseDir = _options.baseDir;


    var jsonFile = patterns.map(function (pattern) {
      return _glob2.default.sync(pattern, { cwd: baseDir });
    }).map(function (jsonFiles) {
      return jsonFiles.map(function (f) {
        return require(_path2.default.resolve(baseDir, f));
      }).reduce(function (a, b) {
        return Object.assign(a, b);
      }, {});
    }).reduce(function (a, b) {
      return Object.assign(a, b);
    }, {});

    return jsonFile;
  };
};