'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateOptions = exports.optionSchema = exports.defaultOptions = undefined;

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultOptions = exports.defaultOptions = {
  baseDir: process.cwd()
};

var optionSchema = exports.optionSchema = {
  properties: {
    patterns: {
      type: 'array',
      minItems: 1,
      items: {
        type: 'string'
      }
    },
    baseDir: {
      type: 'string',
      default: defaultOptions.baseDir
    }
  },
  required: ['patterns']
};

_2.default.addSchema(optionSchema, 'file-options');

var validateOptions = exports.validateOptions = function validateOptions(options) {
  return _2.default.validate('file-options', options);
};