'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateOptions = exports.optionSchema = exports.defaultOptions = undefined;

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

var _injectors = require('./injectors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultOptions = exports.defaultOptions = {
  rcFile: 'json-injector.config.js',
  files: null,
  suffix: 'template',
  injectors: _injectors.defaultOptions,
  verbose: false
};

var optionSchema = exports.optionSchema = {
  properties: {
    rcFile: {
      type: 'string',
      default: defaultOptions.rcFile
    },
    files: {
      type: 'array',
      minItems: 1,
      items: { type: 'string' }
    },
    suffix: {
      type: 'string',
      default: defaultOptions.suffix
    },
    verbose: {
      type: 'boolean',
      default: defaultOptions.verbose
    },
    injectors: _injectors.injectorsSchema
  },
  required: ['files']
};

_index2.default.addSchema(optionSchema, 'option');

var validateOptions = exports.validateOptions = function validateOptions(options) {
  return _index2.default.validate('option', options);
};